Name:		cairo-dock
Version:	2.3.0
Release:	3.pm.8.2

Summary:	A small simple but effective doclet like Mac
License:	GPL
URL:		http://www.glx-dock.org/
Group:		System/GUI/GNOME

Source0:	%{name}-%{version}~3.tar.gz
Source1:	cairo-dock-rpmlintrc

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	cmake dbus-1-glib-devel gcc-c++ gtk2-devel gtkglext-devel
BuildRequires:	libcurl-devel librsvg-devel libxml++-devel
BuildRequires:	fdupes pkg-config update-desktop-files


%description
Cairo-dock was in the beginning a small simple but effective dock.
On 4th July 2007, Fabounet proposes to us a version improved,
with a very ergonomic configuration, on the ubuntu-fr.org forum.

Since, new versions are followed at an intensive pace and with
their new functionalities like the sub-docks, the effects on
the launchers ... Many people are grafted with the project,
each one bringing its competences, of graphics, to the applet
or plugins and development.

%package devel
Summary:        Development environment for %{name}
Group:          Development/Libraries/X11
Requires:       %{name} = %{version}
Requires:	cmake dbus-1-glib-devel gcc-c++ gtk2-devel gtkglext-devel
Requires:	libcurl-devel librsvg-devel libxml++-devel
Requires:	fdupes pkg-config update-desktop-files

%description devel
This package contains all files necessary to build plugins

%package -n libgldi2
Group:		System/Libraries
Summary:	Library needed by cairo-dock

%description -n libgldi2
Cairo-dock is a small simple but effective doclet like Mac
Library needed by cairo-dock.


%prep
%setup -q -n %{name}-%{version}~3


%build
%__sed -i -e "s|2.3.0~3|2.3.0-3|g" CMakeLists.txt

%__mkdir build

FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" src/cairo-dock.c
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M:%%S')
sed -i "s/__TIME__/\"$FAKE_BUILDTIME\"/" src/cairo-dock.c

pushd build
	cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	%if %{_lib} == lib64
	    -DLIB_SUFFIX=64 \
	%endif
	..
	%__make %{?jobs:-j%{jobs}}
popd


%install
pushd build
	%makeinstall
popd

%suse_update_desktop_file -r -n %{name} Utility DesktopUtility
%suse_update_desktop_file -r -n %{name}-cairo Utility DesktopUtility

%find_lang %{name}

%fdupes -s %{buildroot}/%{_datadir}


%post -n libgldi2 -p /sbin/ldconfig

%postun -n libgldi2 -p /sbin/ldconfig


%clean
%__rm -fr %buildroot


%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_datadir}/cairo-dock/ChangeLog.txt
%{_bindir}/cairo-dock
%{_bindir}/cairo-dock-package-theme
%{_bindir}/launch-cairo-dock-with-delay
%dir %{_datadir}/cairo-dock
%{_datadir}/cairo-dock/*.conf
%{_datadir}/cairo-dock/*.desktop
%{_datadir}/cairo-dock/*.png
%{_datadir}/cairo-dock/*.svg
%{_datadir}/cairo-dock/readme-*-view
%{_datadir}/cairo-dock/help_scripts.sh
%dir %{_datadir}/cairo-dock/icons
%{_datadir}/cairo-dock/icons/*.png
%{_datadir}/cairo-dock/icons/*.svg
%dir %{_datadir}/cairo-dock/gauges/
%dir %{_datadir}/cairo-dock/gauges/Battery/
%dir %{_datadir}/cairo-dock/gauges/Turbo-night-fuel
%{_datadir}/cairo-dock/gauges/Battery/*
%{_datadir}/cairo-dock/gauges/Turbo-night-fuel/*
%dir %{_datadir}/cairo-dock/explosion/
%{_datadir}/cairo-dock/explosion/*.png
%{_datadir}/cairo-dock/cairo-dock-animated.xpm
%{_datadir}/applications/cairo-dock-cairo.desktop
%{_datadir}/applications/cairo-dock.desktop
%{_datadir}/pixmaps/cairo-dock.svg

%dir %{_datadir}/cairo-dock/themes/
%dir %{_datadir}/cairo-dock/themes/_default_/
%{_datadir}/cairo-dock/themes/_default_/*
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-, root, root)
%{_libdir}/libgldi.so
%dir %{_includedir}/cairo-dock/
%{_includedir}/cairo-dock/cairo-dock.h
%dir %{_includedir}/cairo-dock/cairo-dock
%{_includedir}/cairo-dock/cairo-dock/*.h
%dir %{_includedir}/cairo-dock/icon-factory
%{_includedir}/cairo-dock/icon-factory/*.h
%dir %{_includedir}/cairo-dock/implementations
%{_includedir}/cairo-dock/implementations/*.h
%{_libdir}/pkgconfig/cairo-dock.pc
%{_libdir}/pkgconfig/gldi.pc

%files -n libgldi2
%defattr(-, root, root)
%{_libdir}/libgldi.so.*


%changelog
* Fri Jun 24 2011 detlef@links2linux.de
- new upstream version 2.3.0-3
* Mon May  2 2011 detlef@links2linux.de
- new upstream version 2.3.0-1
* Wed Mar 16 2011 detlef@links2linux.de
- new upstream version 2.3.0-0rc1
* Thu Mar 18 2010 andrea@links2linux.de
- new upstream version 2.1.3
* Sun Nov 22 2009 andrea@links2linux.de
- new upstream version 2.1.1
* Tue Jul  7 2009 andrea@links2linux.de
- new upstream version 2.0.7
* Thu Jun 18 2009 andrea@links2linux.de
- new upstream version 2.0.5
* Tue May 26 2009 andrea@links2linux.de
- new upstream version 2.0.3
* Sun May 10 2009 andrea@links2linux.de
- new upstream version 2.0.0
* Sun Dec  7 2008 andrea@links2linux.de
- upgraded to version 20081109 v1.6.3.1
* Sun Nov  9 2008 andrea@links2linux.de
- upgraded to version 20081109 v1.6.3
* Wed Sep 10 2008 andrea@links2linux.de
- upgraded to version 20080910 v1.6.2.3
* Fri Aug 29 2008 andrea@links2linux.de
- upgraded to version 20080828 v1.6.2.1
- themes packages splitted out in a new spec file, use a differente tarball
* Fri Jun 20 2008 andrea@links2linux.de
- upgraded to version 20080619 v1.6.0.2
* Sun Jun  1 2008 andrea@links2linux.de
- upgraded to version 20080528 v1.5.6
* Thu May  8 2008 andrea@links2linux.de
- upgraded to version 20080506
* Thu May  1 2008 andrea@links2linux.de
- upgraded to version 20080501
* Sat Apr 26 2008 andrea@links2linux.de
- upgraded to version 20080426
* Thu Apr 24 2008 andrea@links2linux.de
- upgraded to version 20080424
* Wed Apr  9 2008 andrea@links2linux.de
- upgraded to version 20080408
- added some gadgets
* Sun Apr  6 2008 andrea@links2linux.de
- upgraded to version 20080406
* Thu Apr  3 2008 andrea@links2linux.de
- upgraded to version 20080403
- added theme _Wood_
- added gadgets to package
* Sun Mar 23 2008 andrea@links2linux.de
- upgraded to version 20080318
- Splitted out "themes" package
* Thu Feb 28 2008 andrea@links2linux.de
- upgraded to version 20080227
* Sun Feb 10 2008 andrea@links2linux.de
- upgraded to version 20080209
- added theme _I_Cairo
- removed doc package
* Sat Jan 19 2008 andrea@links2linux.de
- First spec making
